pub use sea_orm_migration::prelude::*;

pub mod models_enums;
mod m20220101_000001_create_table;
mod m20231231_141302_types_table;

pub struct Migrator;

#[async_trait::async_trait]
impl MigratorTrait for Migrator {
    fn migrations() -> Vec<Box<dyn MigrationTrait>> {
        vec![
            Box::new(m20231231_141302_types_table::Migration),
            Box::new(m20220101_000001_create_table::Migration),
        ]
    }
}
